Bug 749896 - Problem creating ISO image for large files over 4G
Problem creating ISO image for large files over 4G
Status: CLOSED DUPLICATE of bug 456221
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cdrtools (Show other bugs)
5.3
i386 Linux
unspecified Severity high
: rc
: ---
Assigned To: Harald Hoyer
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 15:47 EDT by Need Real Name
Modified: 2012-03-20 07:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 07:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2011-10-28 15:47:51 EDT
Description of problem:
=======================
 When I run the following command:
mkisofs -f -r -T -J -V 5.2.1.0.8 -quiet -udf -o test.iso -m .svn MBT_5.2.1.0.9c/cm.gz

I get the following error:

mkisofs: Warning: -follow-links does not always work correctly; be careful.
mkisofs: Value too large for defined data type. File MBT_5.2.1.0.9c/cm.gz is too large – ignoring

my file cm.gz is over 4 G in size.  I am currently unable to create the iso for my product.

Is there a fix for this problem so that I can create my iso on RHEL 5.3 for 32bit?			

Version-Release number of selected component (if applicable):
mkisofs-2.01-10.7.el5

How reproducible:
  Make an iso using an image greater than 4 G


Steps to Reproduce:
1. same as for BZ 456221 

  
Actual results:
ISO image is not created because large file is ignored

Expected results:
should have successfully created the iso


Additional info:

Are  there any plans to fix this in RHEL5?
Comment 1 Harald Hoyer 2011-11-01 04:35:01 EDT
This would need a newer mkisofs version, which supports the "-allow-limited-size" option, because iso9660 does not allow files > 2GiB
Comment 2 Need Real Name 2011-11-16 16:24:21 EST
I've updated to use the latest mkisofs that came with the RH5.7 distribution.  This version doesn't appear to support the allow-limited-size option. When I attempt to create an iso using it  I get the following error: 

./mkisofs -f -r -T -J -V 5.2.1.0.8 -quiet  --iso-level 3 -udf -o test.iso -m .svn MBT_5.2.1.0.9c
*** glibc detected *** ./mkisofs: double free or corruption (fasttop): 0x088b22e8 ***
======= Backtrace: =========
/lib/i686/nosegneg/libc.so.6[0xc6a2f5]
/lib/i686/nosegneg/libc.so.6(cfree+0x59)[0xc6a739]
./mkisofs[0x805151f]
./mkisofs[0x804f1e2]
/lib/i686/nosegneg/libc.so.6(__libc_start_main+0xdc)[0xc15e9c]
./mkisofs[0x8049e81]
======= Memory map: ========
00110000-0011b000 r-xp 00000000 fd:00 12112549   /lib/libgcc_s-4.1.2-20080825.so.1
0011b000-0011c000 rw-p 0000a000 fd:00 12112549   /lib/libgcc_s-4.1.2-20080825.so.1
0035c000-00360000 r-xp 00000000 fd:00 12113353   /lib/libattr.so.1.1.0
00360000-00361000 rw-p 00003000 fd:00 12113353   /lib/libattr.so.1.1.0
00958000-00959000 r-xp 00958000 00:00 0          [vdso]
00be1000-00bfc000 r-xp 00000000 fd:00 12113193   /lib/ld-2.5.so
00bfc000-00bfd000 r--p 0001a000 fd:00 12113193   /lib/ld-2.5.so
00bfd000-00bfe000 rw-p 0001b000 fd:00 12113193   /lib/ld-2.5.so
00c00000-00d56000 r-xp 00000000 fd:00 12113250   /lib/i686/nosegneg/libc-2.5.so
00d56000-00d58000 r--p 00156000 fd:00 12113250   /lib/i686/nosegneg/libc-2.5.so
00d58000-00d59000 rw-p 00158000 fd:00 12113250   /lib/i686/nosegneg/libc-2.5.so
00d59000-00d5c000 rw-p 00d59000 00:00 0 
00dac000-00db2000 r-xp 00000000 fd:00 12113358   /lib/libacl.so.1.1.0
00db2000-00db3000 rw-p 00005000 fd:00 12113358   /lib/libacl.so.1.1.0
08048000-080a3000 r-xp 00000000 68:30 8028221    /redhat5.7/user1/mkisofs
080a3000-080a5000 rw-p 0005b000 68:30 8028221    /redhat5.7/user1/mkisofs
080a5000-080e1000 rw-p 080a5000 00:00 0 
08881000-088c3000 rw-p 08881000 00:00 0 
b7d4d000-b7f4d000 r--p 00000000 fd:00 16532086   /usr/lib/locale/locale-archive
b7f4d000-b7f4f000 rw-p b7f4d000 00:00 0 
b7f58000-b7f5f000 r--s 00000000 fd:00 2815299    /usr/lib/gconv/gconv-modules.cache
b7f5f000-b7f60000 rw-p b7f5f000 00:00 0 
bfa9c000-bfab1000 rw-p bffe9000 00:00 0          [stack]
Aborted

Any thoughts?
Comment 3 Need Real Name 2011-11-17 13:52:46 EST
Correction to my comments:

The version I used that gave me the dump in the previous was from cdrtools.  (Which doesn't appear to support the allow-limited-size)
Comment 4 Phil Knirsch 2012-03-20 07:13:38 EDT

*** This bug has been marked as a duplicate of bug 456221 ***

Note You need to log in before you can comment on or make changes to this bug.